# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "plottery_cli"
version = "0.8.1"
authors = ["Tobias Grothmann <tobiasgrothmannplotterart@gmail.com>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Command line interface of Plottery, a creative coding framework for generative vector graphics and pen plotting."
readme = "README.md"
keywords = [
    "plottery",
    "plotter",
    "generative",
    "art",
]
categories = [
    "algorithms",
    "graphics",
    "gui",
    "mathematics",
    "multimedia::images",
]
license = "GPL-3.0"
repository = "https://github.com/TobiasGrothmann/plottery"

[[bin]]
name = "plottery"
path = "src/main.rs"

[dependencies.clap]
version = "4.4.18"
features = ["derive"]

[dependencies.plottery_project]
version = "^0.8.1"
